Page MenuHomePhabricator

LDR not emitting error message when two named references are defined differently
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Help_talk:Citation_Style_1#Category:Pages_with_reference_errors seems to indicate an error in how list-defined references are interacting with the display of the "Named reference is defined twice". The article in question (this revision) was correctly placed into the category indicating a reference error but no message was displayed in the context of the reference.

I've made this a subtask, since I suspect it is linked to/similar to the others mentioned in the parent task.

Event Timeline

Izno created this task.Jan 28 2016, 1:10 PM
Izno raised the priority of this task from to Low.
Izno updated the task description. (Show Details)
Izno added a project: Cite.
Izno added subscribers: Meno25, Jackmcbarn, matmarex and 4 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2016, 1:10 PM
Izno updated the task description. (Show Details)Jan 28 2016, 1:13 PM
Izno set Security to None.

Curiously, when I grab the text of that revision and feed it into Special:ExpandTemplates, an error message *is* displayed just after reference 4.

Meno25 removed a subscriber: Meno25.Feb 8 2016, 7:21 PM
matmarex closed this task as Resolved.Feb 16 2016, 2:29 AM
matmarex claimed this task.